using System;
using System.IO;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using CustomUIControls;

namespace TaskbarNotifierSample
{
    public partial class Form1 : Form
    {
        TaskbarNotifier notifier = new TaskbarNotifier();

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click( object sender, EventArgs e )
        {
            try {
                string current = Directory.GetCurrentDirectory();
                notifier.SetBackgroundBitmap( "../../Resources/trac_banner.bmp", Color.FromArgb( 255, 0, 255 ) );
                notifier.TitleRectangle = new Rectangle( 60, 0, 100, 25 );
                notifier.ContentRectangle = new Rectangle( 60, 0, 133, 68 );

                notifier.Show( "テストタイトル", "テストもじれつ", 300, 2000, 300 );
            }
            catch ( Exception ex ) {
                MessageBox.Show( ex.Message );
            }
        }
    }
}
